InfoGrab DocsInfoGrab Docs

이슈 링크 API

GitLab의 이슈 링크를 위한 REST API 설명서.

이 API를 사용하여 이슈 링크 를 관리합니다. 모든 이슈 링크 나열 # 지정한 이슈에 연결된 이슈 를 모두 나열하며, 관계 생성 일시 오름차순으로 정렬합니다. 이슈는 사용자 권한에 따라 필터링됩니다. GET /projects/:id/issues/:issue_iid/links 매개변수: 속성 유형 필수 설명 id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로 issue_iid integer 예 프로젝트 이슈의 내부 ID [ { "id" : 84 , "iid" : 14 , "issue_link_id" : 1 , "project_id" : 4 , "created_at" : "2016-01-07T12:44:33.959Z" , "title" : "Issues with auth" , "state" : "opened" , "assignees" : [ ] , "assignee" : null , "labels" : [ "bug" ] , "author" : { "name" : "Alexandra Bashirian" , "avatar_url" : null , "state" : "active" , "web_url" : "https://gitlab.example.com/eileen.lowe" , "id" : 18 , "username" : "eileen.lowe" } , "description" : null , "updated_at" : "2016-01-07T12:44:33.959Z" , "milestone" : null , "user_notes_count" : 0 , "due_date" : null , "web_url" : "http://example.com/example/example/issues/14" , "confidential" : false , "weight" : null , "link_type" : "relates_to" , "link_created_at" : "2016-01-07T12:44:33.959Z" , "link_updated_at" : "2016-01-07T12:44:33.959Z" } ] 이슈 링크 조회 # 히스토리 id 응답 속성이 GitLab 18.9에서 도입되었습니다 . 지정한 이슈 링크의 상세 정보를 조회합니다. GET /projects/:id/issues/:issue_iid/links/:issue_link_id 지원되는 속성: 속성 유형 필수 설명 id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로 입니다. issue_iid integer 예 프로젝트 이슈의 내부 ID 입니다. issue_link_id integer or string 예 이슈 관계의 ID 입니다. 응답 본문 속성: 속성 유형 설명 id integer 이슈 링크의 ID 입니다. source_issue object 관계의 소스 이슈 상세 정보입니다. target_issue object 관계의 타깃 이슈 상세 정보입니다. link_type string 관계의 유형입니다. 가능한 값은 relates_t